---
title: "gce/ERR/2021_002"
linkTitle: "ERR/2021_002"
weight: 1
type: docs
description: >
  OS Config service account has the required permissions.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

The OS Config service account must have the osconfig.serviceAgent role.

### Remediation

Make sure that you have the following role binding in the IAM policy:

- Principal: `serviceAccount:service-PROJECTNR@gcp-sa-osconfig.iam.gserviceaccount.com`
- Role: `roles/osconfig.serviceAgent`

### Further information

- [OS configuration
  management](https://cloud.google.com/compute/docs/os-config-management)
