---
title: "gke/BP/2021_001"
linkTitle: "BP/2021_001"
weight: 1
type: docs
description: >
  GKE system logging and monitoring enabled.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: BP - Best practice, opinionated recommendation

### Description

Disabling system logging and monitoring (aka "GKE Cloud Operations") impacts the
ability to troubleshoot any issues that you might have.

If you are a Google Cloud Support customer, keeping system logging and
monitoring enabled is important even if you have your own monitoring solution,
because otherwise the support team won't have access to logs and monitoring data
used for troubleshooting.

### Remediation

Make sure that you enable Cloud Logging and Cloud Monitoring at least for
"System".

### Further information

- [Managing GKE logs](https://cloud.google.com/stackdriver/docs/solutions/gke/managing-logs)
- [Managing GKE metrics](https://cloud.google.com/stackdriver/docs/solutions/gke/managing-metrics)
- [GKE Support](https://cloud.google.com/kubernetes-engine/docs/getting-support)
